.Total_Amount {
  background: #fff2f2 0% 0% no-repeat padding-box;
  padding: 10px;
  margin-top: 5%;
}

.Total_Amount .Total_Amount_div {
  display: flex;
  justify-content: space-between;
}

.Total_Amount .Total_Amount_div .left_amount_div .upper_text {
  font-size: 18px;
  font-weight: 600;
  color: #000000;
  margin-bottom: 5%;
}

.Total_Amount .Total_Amount_div .left_amount_div .price {
  font-size: 24px;
  font-weight: 700;
  color: #fb0000;
  margin: 0;
}

.Total_Amount .Total_Amount_div .right_div {
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: start;
}

.Total_Amount .Total_Amount_div .left_amount_div .last_text {
  font-size: 12px;
  font-weight: 600;
  color: #1c1b1b;
}

.Total_Amount .Total_Amount_div .right_div .right_text {
  font-size: 13px;
  font-weight: 400;
  color: #707070;
  width: 250px;
  text-align: right;
}

.Total_Amount .btn_holder {
  display: flex;
  gap: 5px;
  flex-wrap: wrap;
}

/* ===================== Media Queries ===================== */
@media (min-width: 0px) and (max-width: 767px) {
.Total_Amount .Total_Amount_div .left_amount_div .upper_text {
    font-size: 15px;
}
}

@media (min-width: 0px) and (max-width: 485px) {
  .Total_Amount .Total_Amount_div .right_div {
    display: block;
  }

  .Total_Amount .Total_Amount_div .right_div .right_text {
    text-align: left;
  }
}

@media (min-width: 0px) and (max-width: 575px) {
  .Total_Amount .Total_Amount_div {
    flex-direction: column;
  }
}
